Bug 518987 - can't mount encrypted partition during boot (kernel-2.6.31-0.167.rc6.git6.fc12.x86_64)
Summary: can't mount encrypted partition during boot (kernel-2.6.31-0.167.rc6.git6.fc1...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 13:36 UTC by Ales Zelinka
Modified: 2009-09-07 08:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-07 08:53:36 UTC


Attachments (Terms of Use)

Description Ales Zelinka 2009-08-24 13:36:55 UTC
Description of problem:
Boot of kernel-2.6.31-0.167.rc6.git6.fc12.x86_64 can't get through decryption of my home partition - I enter correct password and the password prompt appears again.

The error message printed to console is:
command failed: can't open device /dev/vg0/home2 for exclusive read-only access.

Version-Release number of selected component (if applicable):
kernel-headers-2.6.31-0.167.rc6.git6.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. boot the kernel
2. enter correct password to the prompt

Additional info:
kernel-2.6.31-0.125.4.2.rc5.git2.fc12.x86_64 works fine.

Comment 1 Ales Zelinka 2009-09-04 10:41:21 UTC
Still the same problem with kernel-2.6.31-0.190.rc8.fc12.x86_64 (and the kernels in between).

Comment 2 Ales Zelinka 2009-09-07 08:53:36 UTC
I can mount my encrypted partition once again (2.6.31-0.204.rc9.fc12.x86_64) - closing the bug. thanks for fix.


Note You need to log in before you can comment on or make changes to this bug.